Debian Bug report logs - #201648
2.0.47 breaks "manual" alias and all page views

version graph

Package: apache2-doc; Maintainer for apache2-doc is Debian Apache Maintainers <debian-apache@lists.debian.org>; Source for apache2-doc is src:apache2.

Reported by: Phil Edwards <pme@devphil.com>

Date: Thu, 17 Jul 2003 00:33:03 UTC

Severity: normal

Merged with 203920

Found in version 2.0.47-1

Fixed in version apache2/2.0.48-1

Done: Thom May <thom@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thom May <thom@debian.org>:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <pme@devphil.com>:
New Bug report received and forwarded. Copy sent to Thom May <thom@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Phil Edwards <pme@devphil.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 2.0.47 breaks "manual" alias and all page views
Date: Wed, 16 Jul 2003 20:26:08 -0400
Package: apache2-doc
Version: 2.0.47-1
Severity: important

Picked "important" based on the description given by reportbug(1): "a bug
which has a major effect on the usability of a package, without rendering
it completely unusable to everyone."

Up through 2.0.46, we could take advantage of the "manual" alias added by
apache2-doc.  With .47, all of the .html files are being displayed directly.
They don't contain actual HTML; they seem to contain HTTP headers/pointers.
For example, the top-level index.html contains:

    URI: index.html.de
    Content-Language: de
    Content-type: text/html; charset=ISO-8859-1

    URI: index.html.en
    Content-Language: en
    Content-type: text/html; charset=ISO-8859-1

    URI: index.html.fr
    Content-Language: fr
    Content-type: text/html; charset=ISO-8859-1

    URI: index.html.ja.jis
    Content-Language: ja
    Content-type: text/html; charset=ISO-2022-JP

    URI: index.html.ko.euc-kr
    Content-Language: ko
    Content-type: text/html; charset=EUC-KR

Viewing this displays the contents as html text, rather than forwarding
the request to index.html.en.

Likewise for all the other links in the manual, which means that every
click on a link must be followed by typing ".en" in the address bar,
which is a major distraction.

Is there more information I can give?


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux fenric 2.4.20-fenric3 #1 SMP Fri May 23 18:39:18 EDT 2003 i686
Locale: LANG=C, LC_CTYPE=C

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Thom May <thom@debian.org>:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to "leon j. breedt" <ljb@neverborn.ORG>:
Extra info received and forwarded to list. Copy sent to Thom May <thom@debian.org>. Full text and rfc822 format available.

Message #10 received at 201648@bugs.debian.org (full text, mbox):

From: "leon j. breedt" <ljb@neverborn.ORG>
To: 201648@bugs.debian.org
Subject: Re: 2.0.47 breaks "manual" alias and all page views
Date: Thu, 17 Jul 2003 17:00:37 +1200
enabling MultiViews for the /usr/share/doc/apache2-doc/manual directory,
and removing the index.html files in /usr/share/doc/apache2-doc/manual/*
fixes the problem here.

MultiViews removes the need for index.html and the correct file for the
browser user's preferred language is always selected.

i am really confused why these files are provided by the Debian
package, as they do not exist in standard Apache distributions to
my knowledge. the content of these files seemed to be misplaced HTTP
headers, what's going on here?

leon



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Thom May <thom@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 201648@bugs.debian.org (full text, mbox):

From: Thom May <thom@debian.org>
To: Phil Edwards <pme@devphil.com>, 201648@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#201648: 2.0.47 breaks "manual" alias and all page views
Date: Thu, 17 Jul 2003 11:20:17 +0100
severity 201648 normal
thanks

> Viewing this displays the contents as html text, rather than forwarding
> the request to index.html.en.
> 
Indeed, I missed a change in the config.
It'll be fixed in the next upload, possibly by the weekend.
-Thom




Severity set to `normal'. Request was from Thom May <thom@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thom May <thom@debian.org>:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <pme@devphil.com>:
Extra info received and forwarded to list. Copy sent to Thom May <thom@debian.org>. Full text and rfc822 format available.

Message #22 received at 201648@bugs.debian.org (full text, mbox):

From: Phil Edwards <pme@devphil.com>
To: Thom May <thom@debian.org>
Cc: 201648@bugs.debian.org
Subject: Re: Bug#201648: 2.0.47 breaks "manual" alias and all page views
Date: Thu, 17 Jul 2003 14:35:51 -0400
On Thu, Jul 17, 2003 at 11:20:17AM +0100, Thom May wrote:
> > Viewing this displays the contents as html text, rather than forwarding
> > the request to index.html.en.
> > 
> Indeed, I missed a change in the config.
> It'll be fixed in the next upload, possibly by the weekend.

Oh, cool.  Thanks!

Is it something that can easily be done locally, in the meantime?

Phil

-- 
If ye love wealth greater than liberty, the tranquility of servitude greater
than the animating contest for freedom, go home and leave us in peace.  We seek
not your counsel, nor your arms.  Crouch down and lick the hand that feeds you;
and may posterity forget that ye were our countrymen.            - Samuel Adams



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Thom May <thom@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 201648@bugs.debian.org (full text, mbox):

From: Thom May <thom@debian.org>
To: Phil Edwards <pme@devphil.com>, 201648@bugs.debian.org
Subject: Re: Bug#201648: 2.0.47 breaks "manual" alias and all page views
Date: Fri, 18 Jul 2003 12:39:28 +0100
* Phil Edwards (pme@devphil.com) wrote :
> On Thu, Jul 17, 2003 at 11:20:17AM +0100, Thom May wrote:
> > > Viewing this displays the contents as html text, rather than forwarding
> > > the request to index.html.en.
> > > 
> > Indeed, I missed a change in the config.
> > It'll be fixed in the next upload, possibly by the weekend.
> 
> Oh, cool.  Thanks!
> 
> Is it something that can easily be done locally, in the meantime?

see
http://svn.clearairturbulence.org/viewcvs/trunk/debian/default-site?r1=2&r2=54
for the exact patch I applied. (It's untested as yet, but is copied straight
from upstream's default config.
Cheers
-Thom
> 
> Phil
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Thom May <thom@debian.org>:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <pme@devphil.com>:
Extra info received and forwarded to list. Copy sent to Thom May <thom@debian.org>. Full text and rfc822 format available.

Message #32 received at 201648@bugs.debian.org (full text, mbox):

From: Phil Edwards <pme@devphil.com>
To: Thom May <thom@debian.org>
Cc: 201648@bugs.debian.org
Subject: Re: Bug#201648: 2.0.47 breaks "manual" alias and all page views
Date: Fri, 18 Jul 2003 17:17:26 -0400
On Fri, Jul 18, 2003 at 12:39:28PM +0100, Thom May wrote:
> * Phil Edwards (pme@devphil.com) wrote :
> > On Thu, Jul 17, 2003 at 11:20:17AM +0100, Thom May wrote:
> > > > Viewing this displays the contents as html text, rather than forwarding
> > > > the request to index.html.en.
> > > > 
> > > Indeed, I missed a change in the config.
> > > It'll be fixed in the next upload, possibly by the weekend.
> > 
> > Oh, cool.  Thanks!
> > 
> > Is it something that can easily be done locally, in the meantime?
> 
> see
> http://svn.clearairturbulence.org/viewcvs/trunk/debian/default-site?r1=2&r2=54
> for the exact patch I applied. (It's untested as yet, but is copied straight
> from upstream's default config.

I will definitely play with that.  Right now the manual is completely
unusable.




Information forwarded to debian-bugs-dist@lists.debian.org, Thom May <thom@debian.org>:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <pme@devphil.com>:
Extra info received and forwarded to list. Copy sent to Thom May <thom@debian.org>. Full text and rfc822 format available.

Message #37 received at 201648@bugs.debian.org (full text, mbox):

From: Phil Edwards <pme@devphil.com>
To: Thom May <thom@debian.org>
Cc: 201648@bugs.debian.org
Subject: Re: Bug#201648: 2.0.47 breaks "manual" alias and all page views
Date: Mon, 21 Jul 2003 19:15:16 -0400
On Fri, Jul 18, 2003 at 12:39:28PM +0100, Thom May wrote:
> * Phil Edwards (pme@devphil.com) wrote :
> > On Thu, Jul 17, 2003 at 11:20:17AM +0100, Thom May wrote:
> > > > Viewing this displays the contents as html text, rather than forwarding
> > > > the request to index.html.en.
> > > > 
> > > Indeed, I missed a change in the config.
> > > It'll be fixed in the next upload, possibly by the weekend.
> > 
> > Oh, cool.  Thanks!
> > 
> > Is it something that can easily be done locally, in the meantime?
> 
> see
> http://svn.clearairturbulence.org/viewcvs/trunk/debian/default-site?r1=2&r2=54
> for the exact patch I applied. (It's untested as yet, but is copied straight
> from upstream's default config.

Something doesn't look quite right.  There's the start of a Directory
block, but no closing tag to match.

(I'm going to have to guess where the closing tag should go; I would look
in the manual to see whether the following tags belong inside or outside
a Directory block, but the manual's broken, ha ha.)

BTW, please consider putting these in conf.d/apache2-doc, which is shipped
as part of apache2-doc, rather than in the site file.  The rest of the
"manual" alias is in that conf.d file already.


Phil

-- 
If ye love wealth greater than liberty, the tranquility of servitude greater
than the animating contest for freedom, go home and leave us in peace.  We seek
not your counsel, nor your arms.  Crouch down and lick the hand that feeds you;
and may posterity forget that ye were our countrymen.            - Samuel Adams



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Thom May <thom@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #42 received at 201648@bugs.debian.org (full text, mbox):

From: Thom May <thom@debian.org>
To: Phil Edwards <pme@devphil.com>
Cc: 201648@bugs.debian.org
Subject: Re: Bug#201648: 2.0.47 breaks "manual" alias and all page views
Date: Tue, 22 Jul 2003 12:00:24 +0100
* Phil Edwards (pme@devphil.com) wrote :
> Something doesn't look quite right.  There's the start of a Directory
> block, but no closing tag to match.
> 
> (I'm going to have to guess where the closing tag should go; I would look
> in the manual to see whether the following tags belong inside or outside
> a Directory block, but the manual's broken, ha ha.)
> 
Heh. Yeah, there should be a close tag. Like I said, untested ;-)

> BTW, please consider putting these in conf.d/apache2-doc, which is shipped
> as part of apache2-doc, rather than in the site file.  The rest of the
> "manual" alias is in that conf.d file already.
> 
I was thinking about that. Might well do, yes.
-Thom



Information forwarded to debian-bugs-dist@lists.debian.org, Thom May <thom@debian.org>:
Bug#201648; Package apache2-doc. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <pme@devphil.com>:
Extra info received and forwarded to list. Copy sent to Thom May <thom@debian.org>. Full text and rfc822 format available.

Message #47 received at 201648@bugs.debian.org (full text, mbox):

From: Phil Edwards <pme@devphil.com>
To: Thom May <thom@debian.org>
Cc: 201648@bugs.debian.org
Subject: Re: Bug#201648: 2.0.47 breaks "manual" alias and all page views
Date: Fri, 25 Jul 2003 01:03:43 -0400
[Message part 1 (text/plain, inline)]
On Tue, Jul 22, 2003 at 12:00:24PM +0100, Thom May wrote:
> * Phil Edwards (pme@devphil.com) wrote :
> > Something doesn't look quite right.  There's the start of a Directory
> > block, but no closing tag to match.
> > 
> > (I'm going to have to guess where the closing tag should go; I would look
> > in the manual to see whether the following tags belong inside or outside
> > a Directory block, but the manual's broken, ha ha.)
> > 
> Heh. Yeah, there should be a close tag. Like I said, untested ;-)
> 
> > BTW, please consider putting these in conf.d/apache2-doc, which is shipped
> > as part of apache2-doc, rather than in the site file.  The rest of the
> > "manual" alias is in that conf.d file already.
> > 
> I was thinking about that. Might well do, yes.


Just for the record, here's my /etc/apache2/conf.d/apache2-doc, which
now works again.

Phil

[apache2-doc (text/plain, attachment)]

Merged 201648 203920. Request was from Thom May <thom@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from thom@debian.org (Thom May) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Thom May <thom@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Phil Edwards <pme@devphil.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #56 received at 201648-close@bugs.debian.org (full text, mbox):

From: Thom May <thom@debian.org>
To: 201648-close@bugs.debian.org
Subject: Bug#201648: fixed in apache2 2.0.48-1
Date: Mon, 10 Nov 2003 17:48:15 -0500
Source: apache2
Source-Version: 2.0.48-1

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive:

apache2-common_2.0.48-1_i386.deb
  to pool/main/a/apache2/apache2-common_2.0.48-1_i386.deb
apache2-doc_2.0.48-1_all.deb
  to pool/main/a/apache2/apache2-doc_2.0.48-1_all.deb
apache2-mpm-perchild_2.0.48-1_i386.deb
  to pool/main/a/apache2/apache2-mpm-perchild_2.0.48-1_i386.deb
apache2-mpm-prefork_2.0.48-1_i386.deb
  to pool/main/a/apache2/apache2-mpm-prefork_2.0.48-1_i386.deb
apache2-mpm-threadpool_2.0.48-1_i386.deb
  to pool/main/a/apache2/apache2-mpm-threadpool_2.0.48-1_i386.deb
apache2-mpm-worker_2.0.48-1_i386.deb
  to pool/main/a/apache2/apache2-mpm-worker_2.0.48-1_i386.deb
apache2-prefork-dev_2.0.48-1_all.deb
  to pool/main/a/apache2/apache2-prefork-dev_2.0.48-1_all.deb
apache2-threaded-dev_2.0.48-1_all.deb
  to pool/main/a/apache2/apache2-threaded-dev_2.0.48-1_all.deb
apache2_2.0.48-1.diff.gz
  to pool/main/a/apache2/apache2_2.0.48-1.diff.gz
apache2_2.0.48-1.dsc
  to pool/main/a/apache2/apache2_2.0.48-1.dsc
apache2_2.0.48.orig.tar.gz
  to pool/main/a/apache2/apache2_2.0.48.orig.tar.gz
libapr0-dev_2.0.48-1_i386.deb
  to pool/main/a/apache2/libapr0-dev_2.0.48-1_i386.deb
libapr0_2.0.48-1_i386.deb
  to pool/main/a/apache2/libapr0_2.0.48-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 201648@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thom May <thom@debian.org> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Aug 2003 00:13:20 +0100
Source: apache2
Binary: apache2-prefork-dev apache2-mpm-prefork apache2-doc libapr0-dev apache2-mpm-threadpool apache2-mpm-worker libapr0 apache2-threaded-dev apache2-common apache2-mpm-perchild
Architecture: source all i386
Version: 2.0.48-1
Distribution: unstable
Urgency: low
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Thom May <thom@debian.org>
Description: 
 apache2-common - Next generation, scalable, extendable web server
 apache2-doc - Documentation for apache2
 apache2-mpm-perchild - Experimental High speed perchild threaded model for Apache2
 apache2-mpm-prefork - Traditional model for Apache2
 apache2-mpm-threadpool - Experimental High speed thread pool model for Apache2
 apache2-mpm-worker - High speed threaded model for Apache2
 apache2-prefork-dev - Development headers for apache2
 apache2-threaded-dev - Development headers for apache2
 libapr0    - The Apache Portable Runtime
 libapr0-dev - Development headers for libapr
Closes: 177837 177941 195968 197685 199454 201648 202094 202925 203093 206375 208569 208751 217795
Changes: 
 apache2 (2.0.48-1) unstable; urgency=low
 .
   * (Thom May)
     - New Upstream Release (Closes: #202094)
     - Fix i18n autonegotiation for the manual (Closes: #201648)
     - Add deb.{gif,png} (Closes: #199454)
     - Explicitly link against libdl (Closes: #195968)
     - Add dependency on ssl-cert (Closes: #177837)
     - Take preventative action against SCTP
     - Add apache2-prefork-dev to work around PHP.
     - Shut Oskuro up - startup time changed to 91 (Closes: #208569)
     - Install README.etc into apache2-common's doc dir
       (Closes: #208751,#177941)
     - Auth_LDAP loads mod_ldap as well. (Closes: #217795)
     - Make sure /var/lock/apache2 has correct ownership (Closes: #206375)
     - Fix for SSL enabled virtual hosts (Closes: #202925)
     - Steal new apr_threads.m4 from upstream to deal with -lpthread better
       (Closes: #197685)
   * (Fabio M. Di Nitto)
     - Fixed init script (Closes: #203093)
Files: 
 f728938fd880a4b3bdeb5b124620c188 1012 net optional apache2_2.0.48-1.dsc
 fdd296e751e2f785c26454a6c0730f39 6242101 net optional apache2_2.0.48.orig.tar.gz
 1f0cb9e03ced0e669e9c096df550352d 72608 net optional apache2_2.0.48-1.diff.gz
 9faaf749f9bc449e7ff4de3b14f68917 2664692 doc optional apache2-doc_2.0.48-1_all.deb
 28ca88164ff98c49bd543076a3836089 159734 devel optional apache2-prefork-dev_2.0.48-1_all.deb
 5fb7a9207e35060a782c996a9c87b980 155314 devel optional apache2-threaded-dev_2.0.48-1_all.deb
 cf60e328a915a9ae90152fe86a81dc3f 807056 net optional apache2-common_2.0.48-1_i386.deb
 48f17c8d85cb1de480079b778ff7da05 206668 net optional apache2-mpm-worker_2.0.48-1_i386.deb
 772b216f3c504b23ad612cb320f5b5ac 206266 net optional apache2-mpm-threadpool_2.0.48-1_i386.deb
 70aebbbd919fbb05fb9a7d415bd6c835 207286 net optional apache2-mpm-perchild_2.0.48-1_i386.deb
 0c05888d0615ddf87b3777bf057392c4 202980 net optional apache2-mpm-prefork_2.0.48-1_i386.deb
 28e375d6ba371d56a43d96011fab6265 118920 net optional libapr0_2.0.48-1_i386.deb
 bfca556b35439c22a3c5c792f6b42960 255210 libdevel optional libapr0-dev_2.0.48-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/qiIMs10SPRMEYVURApdcAJ4jLjENbLmbMmaSZTAOPys/EztuvgCeJbH4
nlauvejBB0ZXiaPF+RyvnNU=
=PMM0
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:33:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.